Bug 195864 - ImageMagick-devel doesn't require freetype-devel
ImageMagick-devel doesn't require freetype-devel
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Norm Murray
Depends On:
Blocks: 194470
  Show dependency treegraph
Reported: 2006-06-18 18:29 EDT by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-05 18:50:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-06-18 18:29:14 EDT
Description of problem:
Using ImageMagick-devel- from Fedora Core 5 Updates:

$ Wand-config --libs
-lWand -lMagick -llcms -ltiff -lfreetype -ljpeg -lgs -lXext -lSM -lICE -lX11 -
lXt -lbz2 -lz -lpthread -lm -lpthread

ImageMagick-devel *has* to require *all* of these dependencies directly or 
indirectly, otherwise the rebuilding of packages like php-magickwand (Fedora 
Extras) will *always* fail. 

Version-Release number of selected component (if applicable):

How reproducible & Steps to Reproduce:
rpm -e freetype-devel
Try to rebuild php-magickwand-0.1.8-2 from Fedora Extras:
"checking for MagickSetImageTicksPerSecond in -lWand... no"
"configure: error: There is something wrong. Please check config.log for more 

In fact, the test script in configure is using ldflags from Wand-config and is 
complaining about missing -lfreetype which causes the failure above!

Actual results:
ImageMagick-devel doesn't require freetype-devel.

Expected results:
--- ImageMagick.spec       2006-05-25 18:39:48.000000000 +0200
+++ ImageMagick.spec.rsc   2006-06-19 00:26:56.000000000 +0200
@@ -58,6 +58,7 @@
 Requires: libjpeg-devel
 Requires: lcms-devel
 Requires: pkgconfig
+Requires: freetype-devel

 %description devel
 ImageMagick-devel contains the static libraries and header files you'll

Additional info:
This problem doesn't affect Fedora Core Development, because is using 
pkgconfig and solves the stuff otherwise (building of php-magickwand for FC6 
worked without freetype-devel and as far as I can see, it had no impact).
Comment 1 Robert Scheck 2006-09-03 17:24:05 EDT
Matthias! You didn't fix this bug before pushing :-(
Comment 2 Robert Scheck 2007-09-05 18:50:15 EDT
*gna* nobody wanted to take care of this, now FC5 is EOL. Closing now. Thank 
you guys, for NOT fixing this EasyFix.

Note You need to log in before you can comment on or make changes to this bug.